import { PropType } from 'vue';
import { commonNavigationBarProps } from '../NavigationBar/commonNavigationBar';

export const loadingLayoutProps = {
  loading: {
    type: Boolean,
  },
  error: {
    type: Boolean,
  },
  showNoData: {
    type: Boolean,
  },
  loadError: {
    type: Function as PropType<(...args: any[]) => any>,
  },
  id: {
    type: String,
  },
};

export const pageLayoutProps = {
  ...commonNavigationBarProps,
  needAuth: {
    type: Boolean,
    default: true,
  },
  useView: {
    type: Boolean,
    default: false,
  },
  hasLinearBg: {
    type: Boolean,
    default: false,
  },
  linearBgHeight: {
    type: Number,
    default: 388,
  },
  hasBgColor: {
    type: Boolean,
    default: false,
  },
};
